# Retrieve a specific user

> Retrieve a specific user

GET

/users/{id}/

Retrieves details for a specific user at an organization by ID. A user represents an account that can authenticate and be granted access/role to Rippling and connected apps.

#### Use this endpoint when:

-   Fetching accounts that can sign in plus access/roles/app provisioning information.

### Required Scopes

-   users.read
    

### Request

Path Parameters

**id** id required

ID of the resource to return

## Responses

-   200

Successful response

-   application/json

-   Schema
-   Example (from schema)

**Schema**

**\_\_meta** object

**redacted\_fields** object\[\]

Array \[

**name** string

The name for the redacted field

**reason** string

The reason for the redaction

\]

**id** string required

Identifier field

**created\_at** string required

Record creation date

**updated\_at** string required

Record update date

**active** boolean

Whether the user is able to access company resources, typically when they are in actively engaged with the company and not after off-boarding.

**username** string

The unique identifier across Rippling used by the User for direct authentication into their associated company. Globally unique.

**name** object

The user's name.

**formatted** string

The user's full name.

**given\_name** string

The given legal name of the user, or first name in most Western languages.

**middle\_name** string

The middle name(s) of the user.

**family\_name** string

The legal family name of the user, or last name in most Western languages.

**preferred\_given\_name** string

The preferred given name, or first name in most Western languages, by the user.

**preferred\_family\_name** string

The preferred family name, or last name in most Western languages, by the user.

**display\_name** string

The display name of the user using either the concatenated preferred given and family name or username depending on availability.

**emails** object\[\]

The user's email addresses.

Array \[

**value** string

A valid email address.

**type** string

The classification of the email.

**Possible values:** \[HOME,WORK,OTHER\]

**display** string

The display value of the email address.

\]

**phone\_numbers** object\[\]

The user's phone numbers.

Array \[

**value** string

The canonical global phone number pursuant to RFC3966.

**type** string

The classification of the phone number, pursuant to SCIM RFC 7643 4.1.2.

**Possible values:** \[HOME,WORK,MOBILE,FAX,OTHER\]

**display** string

The display value of the phone number.

\]

**addresses** object\[\]

The user's addresses.

Array \[

**type** string

The classification of the address.

**Possible values:** \[HOME,WORK,OTHER\]

**formatted** string

The formatted mailing address.

**street\_address** string

The full street address component, which may include house number, street name, P.O. box, and multi-line extended street address information, pursuant to SCIM RFC 7643 4.1.2..

**locality** string

The city or locality component.

**region** string

The state or region component, pursuant to SCIM RFC 7643 4.1.2.

**postal\_code** string

The zip code or postal code component, pursuant to SCIM RFC 7643 4.1.2.

**country** string

The country component, pursuant to SCIM RFC 7643 4.1.2.

**Possible values:** \[AF,AX,AL,DZ,AS,AD,AO,AI,AQ,AG,AR,AM,AW,AU,AT,AZ,BS,BH,BD,BB,BY,BE,BZ,BJ,BM,BT,BO,BQ,BA,BW,BV,BR,IO,BN,BG,BF,BI,CV,KH,CM,CA,KY,CF,TD,CL,CN,CX,CC,CO,KM,CG,CD,CK,CR,CI,HR,CW,CY,CZ,DK,DJ,DM,DO,EC,EG,SV,GQ,ER,EE,SZ,ET,FK,FO,FJ,FI,FR,GF,PF,TF,GA,GM,GE,DE,GH,GI,GR,GL,GD,GP,GU,GT,GG,GN,GW,GY,HT,HM,VA,HN,HK,HU,IS,IN,ID,IQ,IR,IE,IM,IL,IT,JM,JP,JE,JO,KZ,KE,KI,KR,XK,KW,KG,LA,LV,LB,LS,LR,LY,LI,LT,LU,MO,MG,MW,MY,MV,ML,MT,MH,MQ,MR,MU,YT,MX,FM,MD,MC,MN,ME,MS,MA,MZ,MM,NA,NR,NP,NL,AN,NC,NZ,NI,NE,NG,NU,NF,MK,MP,NO,OM,PK,PW,PS,PA,PG,PY,PE,PH,PN,PL,PT,PR,QA,RO,RU,RW,RE,BL,SH,KN,LC,MF,PM,VC,WS,SM,ST,SA,SN,RS,SC,SL,SG,SX,SY,SK,SI,SB,SO,ZA,GS,SS,ES,LK,SD,SR,SJ,SE,CH,TW,TJ,TZ,TH,TL,TG,TK,TO,TT,TN,TR,TM,TC,TV,UG,UA,AE,GB,US,UM,UY,UZ,VU,VE,VN,VG,VI,WF,EH,YE,ZM,ZW\]

\]

**photos** object\[\]

The user's photos.

Array \[

**value** string

The URL of the photo.

**type** string

The classification of the photo.

**Possible values:** \[PHOTO,THUMBNAIL\]

\]

**preferred\_language** string

The User's preferred written or spoken language in the same format of the HTTP Accept-Language header, pursuant to Section 5.3.5 of RFC7231.

**locale** string

The User's default location for purposes of localization of currency, date time format, or numerical representations pursuant to RFC5646.

**timezone** string

The User's current time zone in IANA database Olson format

**number** string

The permanent profile number of the user.

```json
{
  "__meta": {
    "redacted_fields": [
      {
        "name": "date_of_birth",
        "reason": "Insufficient entitlements"
      }
    ]
  },
  "id": "string",
  "created_at": "string",
  "updated_at": "string",
  "active": false,
  "username": "string",
  "name": {
    "formatted": "string",
    "given_name": "string",
    "middle_name": "string",
    "family_name": "string",
    "preferred_given_name": "string",
    "preferred_family_name": "string"
  },
  "display_name": "string",
  "emails": [
    {
      "value": "string",
      "type": "HOME",
      "display": "string"
    }
  ],
  "phone_numbers": [
    {
      "value": "string",
      "type": "HOME",
      "display": "string"
    }
  ],
  "addresses": [
    {
      "type": "HOME",
      "formatted": "string",
      "street_address": "string",
      "locality": "string",
      "region": "string",
      "postal_code": "string",
      "country": "AF"
    }
  ],
  "photos": [
    {
      "value": "string",
      "type": "PHOTO"
    }
  ],
  "preferred_language": "string",
  "locale": "string",
  "timezone": "string",
  "number": "string"
}
```

Source: https://developer.rippling.com/documentation/rest-api/reference/get-users

> For the complete documentation index, see [llms.txt](https://developer.rippling.com/llms.txt). Public pages have a Markdown version at the same URL with .md added.
